Skip to main content

List Businesses

The List Businesses API allows you to retrieve a list of all businesses.


Resource Access

Production (api.ahrvo.network)

GET https://api.ahrvo.network/banking/yield/v1/businesses

Staging (gateway.ahrvo.network)

GET https://gateway.ahrvo.network/banking/yield/v1/businesses

Response

Returns an array of business objects with the following fields:

FieldTypeDescriptionExample
idstringUnique business IDeaeee8b9-d043-0d9e-4cd0-7fcae504e00d
legal_namestringLegal name of the businessAhrvo Network Financial
doing_business_asstringDoing business as nameAhrvo Network
statusstringBusiness statusCLOSED
sub_statusstringBusiness sub-statuscupidatat adipisicing
user_dataobjectUser data object{"deserunt2": true, "sint2": 69510956.00821519}
created_atstringCreation timestamp (ISO 8601)2022-01-01T00:00:00.000Z
updated_atstringLast update timestamp (ISO 8601)2022-01-01T00:00:00.000Z

Sample Request
GET /banking/yield/v1/businesses HTTP/1.1
Host: <hostname>
Authorization: Bearer <JWT token>
x-api-key: {apiKey}

Sample Response
[
{
"legal_name": "Ahrvo Network Financial",
"id": "eaeee8b9-d043-0d9e-4cd0-7fcae504e00d",
"created_at": "2022-01-01T00:00:00.000Z",
"updated_at": "2022-01-01T00:00:00.000Z",
"doing_business_as": "Ahrvo Network",
"status": "CLOSED",
"sub_status": "cupidatat adipisicing",
"user_data": {
"deserunt2": true,
"sint2": 69510956.00821519,
"enim_12": true,
"nulla_15": 27801090.432306945
}
}
]
HTTP/1.1 200 OK

OpenAPI Specification